const Promise = require('bluebird');
const baseClass = require('../lib/baseClass');

module.exports = class Excel extends baseClass {
    /**
     * @description 生成excel文件
     * @param {string} name
     * @param {any} data
     */
    upload(name, data) {
        return new Promise((resolve, reject) => {
            this.request().post(`${this.getPath()}/${name}`, data).then(data => {
                resolve(data);
            }).catch(err => {
                reject(err);
            });
        });
    }
};